/*
 * Copyright (c) 2007 by Brian Marick.
 * Inspired by the Java version of the Hierarchical Data format, from the
 * University of Illinois NCSA and The HDF Group (http://www.hdfgroup.org/).
 * This code is intended for use only for training in test-driven design.
 * See LICENSE.txt
 */



package exampler.hdf.internal;

public class Errors {
    public static void panic(String msg, Object... args) {
        throw new RuntimeException(String.format(msg, args));
    }

    public static void panic(Exception e) {
        panic(e.getMessage());
    }
}
