package exampler.hdf.testUtilities;

import junit.framework.TestCase;

public class TestUtils extends TestCase {


    @SuppressWarnings({"EmptyMethod"})
    public void test_silence_junit_no_test_warning() {}

    protected void assertNotEquals(Object expected, Object actual) {
        assertFalse(expected.equals(actual));
    }

    protected int[] integersUpThrough(int dimensions) {
        int[] retval = new int[dimensions];
        for (int i = 1; i <= retval.length; i++) {
            retval[i-1] = i;
        }
        return retval;
    }

    @SuppressWarnings({"SameParameterValue"})
    protected double[] doublesUpThrough(int dimensions) {
        double[] retval = new double[dimensions];
        for (int i = 1; i <= retval.length; i++) {
            retval[i-1] = (double)i;
        }
        return retval;
    }
}
